@ECHO OFF
REM Pinball Arcade (C)1994
CLS
:START
IF NOT EXIST C:\ARCADE\SETSOUND.EXE GOTO INSTALL
IF NOT EXIST Z:\COMMAND.COM GOTO DOS
MOUNT -U E: >NUL
:DOS
SUBST E: . >NUL
IF NOT EXIST E:\ARCADE\DDPCMAIN.EXE GOTO ERROR
CDEMU2.EXE E: >NUL
E:
CD ARCADE
DDPCMAIN.EXE
GOTO END
:INSTALL
ECHO This game requires a specific
ECHO directory (C:\ARCADE) to work
ECHO It is coded into the game and
ECHO configuration. Installing now
ECHO.
PAUSE
CALL INSTALL.COM
CD ..
GOTO START 
:ERROR
ECHO The system is not allowing the
ECHO required drive (E:) to be used
ECHO as it cannot be substituted.
:END